import { ChangeDetectorRef } from '@angular/core';
import { BaseDataViewComponent } from '../../shared/components/base-data-view.component';
import { Task } from '../../models/Task';
import { DataViewConfig } from '../../shared/models/DataViewConfig';
import { TaskFacade } from './tasks.facade';
import { CardData } from 'verben-ng-ui';
import * as i0 from "@angular/core";
export declare class TasksComponent extends BaseDataViewComponent<Task> {
    private cdr;
    private taskFacade;
    config: DataViewConfig<Task>;
    tableRowActions: {
        label: string;
        action: (data: Task) => void;
        divider: boolean;
    }[];
    constructor(cdr: ChangeDetectorRef, taskFacade: TaskFacade);
    loadInitialData(): void;
    onStateChange(event: {
        key: string;
        value: boolean;
    }): void;
    protected getCardDataByIdentifier(code: string): CardData | undefined;
    loadMore(): void;
    onSave(data: Partial<Task>): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TasksComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TasksComponent, "lib-tasks", never, {}, {}, never, never, false, never>;
}
